package com.red.circle.console.app.service.app.sys;

import com.red.circle.console.app.dto.clienobject.sys.SysGameListConfigCO;
import com.red.circle.framework.dto.PageResult;
import com.red.circle.other.inner.model.cmd.sys.SysGameListConfigParamCmd;
import com.red.circle.other.inner.model.cmd.sys.SysGameListQryCmd;
import com.red.circle.other.inner.model.cmd.sys.SysGameMatchModelConfigBackQryCmd;
import com.red.circle.other.inner.model.dto.sys.GameMatchModelConfigDTO;
import java.util.List;

/**
 * 游戏列表配置
 *
 * @author zongpubin on 2023/10/30
 */
public interface SysGameListConfigService {

  PageResult<SysGameListConfigCO> pageQuery(SysGameListQryCmd query);

  void saveOrUpdate(SysGameListConfigParamCmd param);

  void delete(Long id, String sysOrigin);

  List<GameMatchModelConfigDTO> lisMatchConfig(SysGameMatchModelConfigBackQryCmd query);

  void addOrUpdateMatchConfig(GameMatchModelConfigDTO param);

  void removeMatchConfig(Long id);
}
